=== debian/changelog ===
slurm-llnl (17.02.6-1) unstable; urgency=medium

  * New upstream release
  * Update both configurators
  * Add jquery.js to d/copyright

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 14 Jul 2017 12:05:44 +0200

slurm-llnl (17.02.5-1) unstable; urgency=medium

  [ Mehdi Dogguy and Gennaro Oliva ]
  * New upstream release.
  * Refresh patches.
  * Update libslurm{db,}31.symbols

  [ Gennaro Oliva ]
  * Update d/copyright and switch to copyright-format 1.0

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 03 Jul 2017 15:30:51 +0200

slurm-llnl (17.02.1.2-1) unstable; urgency=medium

  * New upstream major release
  * Update libslurm{,db} package files to soname 31
  * Refresh patches and remove those included upstream
  * Remove srun_cr man page not installed without blcr support
  * Update service files to avoid killing job (Closes: #855905)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 08 Mar 2017 08:57:37 +0100
