=== debian/control ===
Source: slurm-llnl
Section: admin
Priority: extra
Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 9.20130504),
 autotools-dev,
 libmunge-dev,
 libncurses5-dev,
 libssl-dev,
 po-debconf,
 python,
 libglade2-dev,
 libgtk2.0-dev,
 default-libmysqlclient-dev,
 libpam0g-dev,
 libperl-dev,
 chrpath,
 libpam0g-dev,
 liblua5.1-0-dev,
 libhwloc-dev,
 dh-autoreconf,
 dh-exec,
 librrd-dev,
 libipmimonitoring-dev,
 dh-systemd (>= 1.5),
 hdf5-helpers,
 libhdf5-dev
Standards-Version: 3.9.8
Homepage: http://slurm.schedmd.com
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git

Package: slurm-wlm
Architecture: any
Depends:
 ${misc:Depends},
 slurmd (= ${binary:Version}),
 slurmctld (= ${binary:Version}),
 slurm-client (= ${binary:Version})
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: Simple Linux Utility for Resource Management
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This metapackage contains all client side commands, the compute node
 daemon and the central management demon.

Package: slurm-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version}),
 munge,
 adduser,
 ucf
Replaces: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
Breaks: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
Conflicts: sinfo (<< 0.0.47-4)
Description: SLURM client side commands
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains all client side commands.

Package: slurm-client-dbg
Architecture: any
Section: debug
Depends:
 slurm-client (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM client side commands
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for all client side
 commands.

Package: slurmd
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 openssl,
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 ucf,
 munge,
 openssl (>= 0.9.8g-9),
 lsb-base (>= 3.2-12)
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: SLURM compute node daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the compute node demon slurmd.

Package: slurmd-dbg
Architecture: any
Section: debug
Depends:
 slurmd (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM compute node daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for the compute node daemon
 slurmd.

Package: slurmctld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version}),
 openssl,
 slurm-wlm-basic-plugins (= ${binary:Version}),
 adduser,
 ucf,
 munge,
 openssl (>= 0.9.8g-9),
 lsb-base (>= 3.2-12)
Replaces: slurm-llnl (<< 14.03)
Breaks: slurm-llnl (<< 14.03)
Description: SLURM central management daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the central management demon slurmctld.

Package: slurmctld-dbg
Architecture: any
Section: debug
Depends:
 slurmctld (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM central management daemon
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for central management
 daemon slurmctld.

Package: libslurmdb31
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for the SLURM DataBase Daemon
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM DataBase Daemon runtime library.

Package: libslurmdb31-dbg
Architecture: any
Section: debug
Depends:
 libslurmdb31 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM slurmdbd runtime library
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for slurmdbd runtime
 library.

Package: libslurm31
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library files for SLURM
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM runtime library.

Package: libslurm31-dbg
Architecture: any
Section: debug
Depends:
 libslurm31 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM slurm runtime library
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for slurm runtime
 library.

Package: libpmi0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI runtime implementation.

Package: libpmi0-dbg
Architecture: any
Section: debug
Depends:
 libpmi0 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM PMI library implementation
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for SLURM PMI library
 implementation.

Package: libpmi2-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SLURM PMI2 library implementation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI2 runtime implementation.

Package: libpmi2-0-dbg
Architecture: any
Section: debug
Depends:
 libpmi0 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM PMI2 library implementation
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for SLURM PMI2 library
 implementation.

Package: libslurm-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurm31 (= ${binary:Version})
Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
Description: SLURM development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM static library and header files.

Package: libslurmdb-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libslurmdb31 (= ${binary:Version})
Description: SLURM DataBase Daemon development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains SLURM DataBase Daemon static library and header files.

Package: libpmi0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi0 (= ${binary:Version}),
 libslurm31 (= ${binary:Version})
Description: SLURM PMI library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI implementation static library and header
 files

Package: libpmi2-0-dev
Section: libdevel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpmi2-0 (= ${binary:Version}),
 libslurm31 (= ${binary:Version})
Description: SLURM PMI2 library implementation development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM PMI2 implementation static library and header
 files

Package: slurm-wlm-doc
Section: doc
Architecture: all
Depends:
 libjs-jquery,
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: slurm-llnl-doc (<< 14.03)
Breaks: slurm-llnl-doc (<< 14.03)
Description: SLURM documentation
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM html documentation.

Package: slurm-wlm-basic-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: slurm-llnl-basic-plugins (<< 14.03)
Breaks: slurm-llnl-basic-plugins (<< 14.03)
Description: SLURM basic plugins
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains the SLURM basic plugins

Package: slurm-wlm-basic-plugins-dbg
Architecture: any
Section: debug
Depends:
 slurm-wlm-basic-plugins (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for SLURM basic plugins
 SLURM stands for Simple Linux Utility for Resource Management, it
 is an open-source cluster resource management and job scheduling system
 that strives to be simple, scalable, portable, fault-tolerant, and
 interconnect agnostic.
 This package contains the debugging symbols for basic plugins.

Package: slurm-wlm-basic-plugins-dev
Section: devel
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-wlm-basic-plugins (= ${binary:Version})
Replaces: slurm-llnl-basic-plugins-dev (<< 14.03)
Breaks: slurm-llnl-basic-plugins-dev (<< 14.03)
Description: SLURM basic plugins development files
 SLURM, the Simple Linux Utility for Resource Management,
 is an open-source cluster resource management and job scheduling.
 This package contains development files for the SLURM basic plugins

Package: sview
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 slurm-client (= ${binary:Version})
