=== sdb_tests/nid2coordinate/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
all: check

include ../build.mk

check: $(TARGET)
ifneq ($(shell which xtprocadmin),)
	@./$< $(shell xtprocadmin | sed 1d | awk '{print $$1}')
else
	# For performance optimisation
	time -p ./$<
endif
