=== debian/changelog ===
slurm-llnl (17.02.7-1) unstable; urgency=medium

  * New upstream release
  * Rightly moving slurmdbd symbols in slurmdbd debug package
  * Switch from -dbg packages to automatic -dbgsym
  * Change package priority to optional as required by the new standard
  * Change d/copyright format uri to https
  * Standard version upgraded to 4.1.1
  * Increase debhelper version dependency to get rid of dh-systemd
  * Add srun, sbatch and sacct autopkgtests

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 07 Oct 2017 01:25:22 +0200
