=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: slurm-llnl
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 9.20130504),
+ debhelper (>= 9.20160709),
  autotools-dev,
  libmunge-dev,
  libncurses5-dev,
@@ -24,10 +24,9 @@
  dh-exec,
  librrd-dev,
  libipmimonitoring-dev,
- dh-systemd (>= 1.5),
  hdf5-helpers,
  libhdf5-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
@@ -67,20 +66,6 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
  This package contains all client side commands.
-
-Package: slurm-client-dbg
-Architecture: any
-Section: debug
-Depends:
- slurm-client (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM client side commands
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for all client side
- commands.
 
 Package: slurmd
 Architecture: any
@@ -102,20 +87,6 @@
  that strives to be simple, scalable, portable, fault-tolerant, and
  interconnect agnostic.
  This package contains the compute node demon slurmd.
-
-Package: slurmd-dbg
-Architecture: any
-Section: debug
-Depends:
- slurmd (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM compute node daemon
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for the compute node daemon
- slurmd.
 
 Package: slurmctld
 Architecture: any
@@ -139,20 +110,6 @@
  interconnect agnostic.
  This package contains the central management demon slurmctld.
 
-Package: slurmctld-dbg
-Architecture: any
-Section: debug
-Depends:
- slurmctld (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM central management daemon
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for central management
- daemon slurmctld.
-
 Package: libslurmdb31
 Section: libs
 Architecture: any
@@ -163,20 +120,6 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurmdb31-dbg
-Architecture: any
-Section: debug
-Depends:
- libslurmdb31 (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM slurmdbd runtime library
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for slurmdbd runtime
- library.
-
 Package: libslurm31
 Section: libs
 Architecture: any
@@ -187,20 +130,6 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM runtime library.
 
-Package: libslurm31-dbg
-Architecture: any
-Section: debug
-Depends:
- libslurm31 (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM slurm runtime library
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for slurm runtime
- library.
-
 Package: libpmi0
 Section: libs
 Architecture: any
@@ -211,20 +140,6 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM PMI runtime implementation.
 
-Package: libpmi0-dbg
-Architecture: any
-Section: debug
-Depends:
- libpmi0 (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM PMI library implementation
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for SLURM PMI library
- implementation.
-
 Package: libpmi2-0
 Section: libs
 Architecture: any
@@ -234,20 +149,6 @@
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM PMI2 runtime implementation.
-
-Package: libpmi2-0-dbg
-Architecture: any
-Section: debug
-Depends:
- libpmi0 (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM PMI2 library implementation
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for SLURM PMI2 library
- implementation.
 
 Package: libslurm-dev
 Section: libdevel
@@ -329,19 +230,6 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM basic plugins
 
-Package: slurm-wlm-basic-plugins-dbg
-Architecture: any
-Section: debug
-Depends:
- slurm-wlm-basic-plugins (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for SLURM basic plugins
- SLURM stands for Simple Linux Utility for Resource Management, it
- is an open-source cluster resource management and job scheduling system
- that strives to be simple, scalable, portable, fault-tolerant, and
- interconnect agnostic.
- This package contains the debugging symbols for basic plugins.
-
 Package: slurm-wlm-basic-plugins-dev
 Section: devel
 Architecture: any
@@ -362,3 +250,122 @@
  ${shlibs:Depends},
  ${misc:Depends},
  slurm-client (= ${binary:Version})
+Replaces: slurm-llnl-sview (<< 14.03)
+Breaks: slurm-llnl-sview (<< 14.03)
+Description: GUI to view and modify SLURM state
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contains sview a GUI that can be used to view SLURM
+ configuration, job, step, node and partitions state information.
+ Authorized users can also modify select information.
+
+Package: slurmdbd
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ slurm-wlm-basic-plugins (= ${binary:Version}),
+ adduser,
+ munge,
+ lsb-base (>= 3.2-12),
+ ucf
+Replaces: slurm-llnl-slurmdbd (<< 14.03)
+Breaks: slurm-llnl-slurmdbd (<< 14.03)
+Description: Secure enterprise-wide interface to a database for SLURM
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contain SlurmDBD (Slurm DataBase Daemon) that can be
+ used to securely manage the accounting data for several Slurm
+ clusters in a central location and sacctmgr a command for managing
+ user accounts in SlurmDBD.
+
+Package: libslurm-perl
+Section: perl
+Architecture: any
+Depends:
+ ${perl:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: Perl API for SLURM
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Perl module.
+
+Package: libslurmdb-perl
+Section: perl
+Architecture: any
+Depends:
+ ${perl:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: Perl API for the SLURM database
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Perl module for the SLURM database.
+
+Package: slurm-wlm-torque
+Architecture: all
+Depends:
+ libslurm-perl (>= ${source:Version}),
+ libslurmdb-perl (>= ${source:Version}),
+ ${perl:Depends},
+ ${misc:Depends},
+ libswitch-perl,
+ slurm-client (>= ${source:Version})
+Replaces: slurm-llnl-torque (<< 14.03)
+Breaks: slurm-llnl-torque (<< 14.03)
+Conflicts: gridengine-client, torque-client, torque-client-x11
+Description: Torque compatibility wrappers for SLURM
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package contains the Torque compatibility wrappers.
+
+Package: libpam-slurm
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: PAM module to authenticate using the SLURM resource manager
+ Pluggable Authentication Module (PAM) for restricting access to compute
+ nodes where SLURM performs resource management. Access to the node is
+ restricted to user root and users who have been allocated resources on
+ that node.
+
+Package: slurm-llnl
+Architecture: all
+Section: oldlibs
+Depends: slurm-wlm, ${misc:Depends}
+Description: transitional dummy package for slurm-wlm
+ This is a transitional dummy package for slurm-wlm.
+ It can safely be removed.
+
+Package: slurm-llnl-slurmdbd
+Architecture: all
+Section: oldlibs
+Depends: slurmdbd, ${misc:Depends}
+Description: transitional dummy package for slurmdbd
+ This is a transitional dummy package for slurmdbd
+ It can safely be removed.
+
+Package: slurm-wlm-emulator
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ slurmctld (= ${binary:Version}),
+ slurmd (= ${binary:Version})
+Description: SLURM emulator
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ .
+ This package installs the emulator binaries: slurmd, slurmctld
+ and slurmstepd.
+
+Package: slurm-client-emulator
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Description: SLURM client side commands for the emulator
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
