=== debian/rules ===
--- 
+++ 
@@ -96,27 +96,27 @@
 	mv debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
 
 override_dh_strip:
-	dh_strip -plibslurm31 --dbg-package=libslurm31-dbg
-	dh_strip -plibslurmdb31 --dbg-package=libslurmdb31-dbg
-	dh_strip -plibpmi0 --dbg-package=libpmi0-dbg
-	dh_strip -plibpmi2-0 --dbg-package=libpmi2-0-dbg
-	dh_strip -pslurm-wlm-basic-plugins --dbg-package=slurm-wlm-basic-plugins-dbg
-	dh_strip -pslurm-client --dbg-package=slurm-client-dbg
-	dh_strip -pslurmd --dbg-package=slurmd-dbg
-	dh_strip -pslurmctld --dbg-package=slurmctld-dbg
-	dh_strip -pslurmdbd --dbg-package=slurmctld-dbg
+	dh_strip -plibslurm31 --dbgsym-migration='libslurm31-dbg (<< 17.02.6~)'
+	dh_strip -plibslurmdb31 --dbgsym-migration='libslurmdb31-dbg (<< 17.02.6~)'
+	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
+	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
+	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
+	dh_strip -pslurm-client --dbgsym-migration='slurm-client-dbg (<< 17.02.6~)'
+	dh_strip -pslurmd --dbgsym-migration='slurmd-dbg (<< 17.02.6~)'
+	dh_strip -pslurmctld --dbgsym-migration='slurmctld-dbg (<< 17.02.6~)'
+	dh_strip -pslurmdbd --dbgsym-migration='slurmdbd-dbg (<< 17.02.6~)'
 	# we do not care about debug symbols for those pkgs
-	dh_strip -plibslurmdb-perl
-	dh_strip -plibslurm-perl
-	dh_strip -psview
-	dh_strip -plibpam-slurm
-	dh_strip -pslurm-wlm-emulator
-	dh_strip -pslurm-client-emulator
-	dh_strip -plibpmi0-dev
-	dh_strip -plibpmi2-0-dev
-	dh_strip -plibslurmdb-dev
-	dh_strip -plibslurm-dev
-	dh_strip -pslurm-wlm-basic-plugins-dev
+	dh_strip -plibslurmdb-perl --no-automatic-dbgsym
+	dh_strip -plibslurm-perl --no-automatic-dbgsym
+	dh_strip -psview --no-automatic-dbgsym
+	dh_strip -plibpam-slurm --no-automatic-dbgsym
+	dh_strip -pslurm-wlm-emulator --no-automatic-dbgsym
+	dh_strip -pslurm-client-emulator --no-automatic-dbgsym
+	dh_strip -plibpmi0-dev --no-automatic-dbgsym
+	dh_strip -plibpmi2-0-dev --no-automatic-dbgsym
+	dh_strip -plibslurmdb-dev --no-automatic-dbgsym
+	dh_strip -plibslurm-dev --no-automatic-dbgsym
+	dh_strip -pslurm-wlm-basic-plugins-dev --no-automatic-dbgsym
 	strip --strip-debug --remove-section=.comment \
 		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm/*.a
