## slurm-llnl 17.11.2

=== debian/changelog ===
slurm-llnl (17.11.2-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:53:59 +0000

slurm-llnl (17.11.2-1) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * New upstream release
    - Refresh patches
  * Drop old transitional packages (Closes: #878864) and old Replaces
    and Breaks statements.
  * Fix default pidfile for slurm daemons (See: #885759)
  * Use --runstatedir instead of --localstatedir in debian/rules to
    specify run state directory.
  * Override call to dh_shlibdeps so that dpkg-shlibdeps finds
    libslurmfull.so
  * Override lintian error binary-or-shlib-defines-rpath: Slurm provides
    a private shared library. Its location matches the future name of the
    source package.

  [ Gennaro Oliva ]
  * Drop unused lintian spelling-error-in-binary overrides
  * Update d/copyright
  * Upgrade Standards-Version to 4.1.2, no changes needed

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 14 Jan 2018 10:59:47 +0100
