=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: slurm-llnl
 Section: admin
 Priority: optional
-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 9.20160709),
@@ -26,7 +27,7 @@
  libipmimonitoring-dev,
  hdf5-helpers,
  libhdf5-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
@@ -38,8 +39,6 @@
  slurmd (= ${binary:Version}),
  slurmctld (= ${binary:Version}),
  slurm-client (= ${binary:Version})
-Replaces: slurm-llnl (<< 14.03)
-Breaks: slurm-llnl (<< 14.03)
 Description: Simple Linux Utility for Resource Management
  SLURM stands for Simple Linux Utility for Resource Management, it
  is an open-source cluster resource management and job scheduling system
@@ -57,8 +56,6 @@
  munge,
  adduser,
  ucf
-Replaces: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
-Breaks: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
 Conflicts: sinfo (<< 0.0.47-4)
 Description: SLURM client side commands
  SLURM stands for Simple Linux Utility for Resource Management, it
@@ -79,8 +76,6 @@
  munge,
  openssl (>= 0.9.8g-9),
  lsb-base (>= 3.2-12)
-Replaces: slurm-llnl (<< 14.03)
-Breaks: slurm-llnl (<< 14.03)
 Description: SLURM compute node daemon
  SLURM stands for Simple Linux Utility for Resource Management, it
  is an open-source cluster resource management and job scheduling system
@@ -101,8 +96,6 @@
  munge,
  openssl (>= 0.9.8g-9),
  lsb-base (>= 3.2-12)
-Replaces: slurm-llnl (<< 14.03)
-Breaks: slurm-llnl (<< 14.03)
 Description: SLURM central management daemon
  SLURM stands for Simple Linux Utility for Resource Management, it
  is an open-source cluster resource management and job scheduling system
@@ -110,7 +103,7 @@
  interconnect agnostic.
  This package contains the central management demon slurmctld.
 
-Package: libslurmdb31
+Package: libslurmdb32
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -120,7 +113,7 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurm31
+Package: libslurm32
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -156,7 +149,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm31 (= ${binary:Version})
+ libslurm32 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -170,7 +163,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurmdb31 (= ${binary:Version})
+ libslurmdb32 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -183,7 +176,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm31 (= ${binary:Version})
+ libslurm32 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -197,7 +190,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi2-0 (= ${binary:Version}),
- libslurm31 (= ${binary:Version})
+ libslurm32 (= ${binary:Version})
 Description: SLURM PMI2 library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -211,8 +204,6 @@
  libjs-jquery,
  ${shlibs:Depends},
  ${misc:Depends}
-Replaces: slurm-llnl-doc (<< 14.03)
-Breaks: slurm-llnl-doc (<< 14.03)
 Description: SLURM documentation
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -223,8 +214,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
-Replaces: slurm-llnl-basic-plugins (<< 14.03)
-Breaks: slurm-llnl-basic-plugins (<< 14.03)
 Description: SLURM basic plugins
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -237,8 +226,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  slurm-wlm-basic-plugins (= ${binary:Version})
-Replaces: slurm-llnl-basic-plugins-dev (<< 14.03)
-Breaks: slurm-llnl-basic-plugins-dev (<< 14.03)
 Description: SLURM basic plugins development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -250,8 +237,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  slurm-client (= ${binary:Version})
-Replaces: slurm-llnl-sview (<< 14.03)
-Breaks: slurm-llnl-sview (<< 14.03)
 Description: GUI to view and modify SLURM state
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -269,8 +254,6 @@
  munge,
  lsb-base (>= 3.2-12),
  ucf
-Replaces: slurm-llnl-slurmdbd (<< 14.03)
-Breaks: slurm-llnl-slurmdbd (<< 14.03)
 Description: Secure enterprise-wide interface to a database for SLURM
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -314,8 +297,6 @@
  ${misc:Depends},
  libswitch-perl,
  slurm-client (>= ${source:Version})
-Replaces: slurm-llnl-torque (<< 14.03)
-Breaks: slurm-llnl-torque (<< 14.03)
 Conflicts: gridengine-client, torque-client, torque-client-x11
 Description: Torque compatibility wrappers for SLURM
  SLURM, the Simple Linux Utility for Resource Management,
@@ -335,22 +316,6 @@
  restricted to user root and users who have been allocated resources on
  that node.
 
-Package: slurm-llnl
-Architecture: all
-Section: oldlibs
-Depends: slurm-wlm, ${misc:Depends}
-Description: transitional dummy package for slurm-wlm
- This is a transitional dummy package for slurm-wlm.
- It can safely be removed.
-
-Package: slurm-llnl-slurmdbd
-Architecture: all
-Section: oldlibs
-Depends: slurmdbd, ${misc:Depends}
-Description: transitional dummy package for slurmdbd
- This is a transitional dummy package for slurmdbd
- It can safely be removed.
-
 Package: slurm-wlm-emulator
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -369,3 +334,6 @@
 Description: SLURM client side commands for the emulator
  SLURM stands for Simple Linux Utility for Resource Management, it
  is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains all client side commands for the emulator.
