=== debian/rules ===
--- 
+++ 
@@ -23,12 +23,15 @@
 # Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
 	dh_autoreconf
-	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd
-	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd
+	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --runstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd
+	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --runstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd
 
 override_dh_auto_build:
 	dh_auto_build
 	dh_auto_build --builddirectory build-emulator
+
+override_dh_shlibdeps:
+	dh_shlibdeps -O--builddirectory -O--parallel -l$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm-wlm/
 
 override_dh_auto_install:
 	dh_auto_install
@@ -96,8 +99,8 @@
 	mv debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
 
 override_dh_strip:
-	dh_strip -plibslurm31 --dbgsym-migration='libslurm31-dbg (<< 17.02.6~)'
-	dh_strip -plibslurmdb31 --dbgsym-migration='libslurmdb31-dbg (<< 17.02.6~)'
+	dh_strip -plibslurm32
+	dh_strip -plibslurmdb32
 	dh_strip -plibpmi0 --dbgsym-migration='libpmi0-dbg (<< 17.02.6~)'
 	dh_strip -plibpmi2-0 --dbgsym-migration='libpmi2-0-dbg (<< 17.02.6~)'
 	dh_strip -pslurm-wlm-basic-plugins --dbgsym-migration='slurm-wlm-basic-plugins-dbg (<< 17.02.6~)'
@@ -118,6 +121,6 @@
 	dh_strip -plibslurm-dev --no-automatic-dbgsym
 	dh_strip -pslurm-wlm-basic-plugins-dev --no-automatic-dbgsym
 	strip --strip-debug --remove-section=.comment \
-		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm/*.a
+		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm-wlm/*.a
 
 override_dh_auto_test:
